Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.sampled
Class UnsupportedAudioFileException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.sound.sampled.UnsupportedAudioFileException

All Implemented Interfaces:
  Serializable

public class UnsupportedAudioFileException
extends Exception

An `UnsupportedAudioFileException` is an exception indicating that an operation failed because a file did not contain valid data of a recognized file type and format.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`UnsupportedAudioFileException()` Constructs a `UnsupportedAudioFileException` that has `null` as its error detail message.
`UnsupportedAudioFileException(String message)` Constructs a `UnsupportedAudioFileException` that has the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedAudioFileException

    public UnsupportedAudioFileException()

  Constructs a `UnsupportedAudioFileException` that has `null` as its error detail message.

### UnsupportedAudioFileException

    public UnsupportedAudioFileException(String message)

  Constructs a `UnsupportedAudioFileException` that has the specified detail message.
  Parameters:
    `message` - a string containing the error detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.